/* -*- mode: C++; tab-width: 4; c-basic-offset: 4; -*- */

/* AbiWord / AbiBits / HanAbi
 *
 * Copyright (C) 2003 AbiSource, Inc.
 * Copyright (C) 2003 Francis James Franklin <fjf@alinameridon.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#include "ut_debugmsg.h"

#import "HanAbiToolbar.h"
#import "HA_Miscellaneous.h"

@implementation HA_Miscellaneous

- (id)initWithHandler:(HanAbiPluginHandler *)pluginHandler
{
	self = [super initWithHandler:pluginHandler];

	UT_DEBUGMSG(("activating HanAbi plugin `Miscellaneous'...\n"));

	m_toolbar = [[HanAbiToolbar alloc] initWithTitle:@"Miscellaneous"];
	if (m_toolbar)
		{
			[m_toolbar showWindow:self];
		}
	return self;
}

- (void)dealloc
{
	UT_DEBUGMSG(("deactivating HanAbi plugin `Miscellaneous'\n"));

	if (m_toolbar)
		{
			[m_toolbar close];
			[m_toolbar release];
		}
	[super dealloc];
}

@end
